com.ihr.xbrl.util.workbooks

## Class SheetPointException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.ihr.xbrl.util.workbooks.SheetPointException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    InvalidRegionException, InvalidSheetPointException, SheetPointAccessException

      public abstract class SheetPointException
      extends java.lang.Exception

  Parent class of the SheetPointAccessException and the InvalidSheetPointException.
  Author:
    Ignacio
  See Also:
    `SheetPointAccessException`, `InvalidSheetPointException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SheetPointException(java.lang.String message, SheetPoint sp)` Instantiates a new sheet point exception.
    `SheetPointException(java.lang.String message, SheetPoint sp, java.lang.Throwable cause)` Instantiates a new sheet point exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SheetPoint` | `getSheetPoint()` Gets the sheet point.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SheetPointException

          public SheetPointException(java.lang.String message,
                             SheetPoint sp,
                             java.lang.Throwable cause)

      Instantiates a new sheet point exception.
      Parameters:
        `message` - the message
        `sp` - the sp
        `cause` - the cause

    - #### SheetPointException

          public SheetPointException(java.lang.String message,
                             SheetPoint sp)

      Instantiates a new sheet point exception.
      Parameters:
        `message` - the message
        `sp` - the sp

  - ### Method Detail

    - #### getSheetPoint

          public SheetPoint getSheetPoint()

      Gets the sheet point.
      Returns:
        the sp